Autor Tópico: Erro ao compilar o driver do modem HSP 56  (Lida 4918 vezes)

Offline Valdelino

  • Usuário Ubuntu
  • *
  • Mensagens: 22
    • Ver perfil
Erro ao compilar o driver do modem HSP 56
« Online: 19 de Novembro de 2005, 23:33 »
Quando eu dou o comando:

 - sudo make

Dá o seguinte erro:

make -C /lib/modules/2.6.12-9-386/build M=/home/valdelino/Lino/pctel-0.9.7-9-rht-4c/src
/usr/src/linux-headers-2.6.12-9-386/scripts/gcc-version.sh: line 11: gcc-3.4: command not found
/usr/src/linux-headers-2.6.12-9-386/scripts/gcc-version.sh: line 12: gcc-3.4: command not found
make[1]: gcc-3.4: Comando não encontrado
make[1]: Entrando no diretório `/usr/src/linux-headers-2.6.12-9-386'
  CC [M]  /home/valdelino/Lino/pctel-0.9.7-9-rht-4c/src/linmodem-2.6.o
/bin/sh: gcc-3.4: command not found
make[2]: ** [/home/valdelino/Lino/pctel-0.9.7-9-rht-4c/src/linmodem-2.6.o] Erro 127
make[1]: ** [_module_/home/valdelino/Lino/pctel-0.9.7-9-rht-4c/src] Erro 2
make[1]: Saindo do diretório `/usr/src/linux-headers-2.6.12-9-386'
make: ** [all] Erro 2

Se alguém souber o que eu posso fazer para consertar este erro por favor, me ajude. Eu usava o Kurumin e nele eu instalava este driver sem problemas, só que eu gostei muito do Ubuntu e prefiro ele.
Eu já instalei o gcc 4.0, só que ele está dando o erro no gcc-3.4.

Abraço.

 :lol:

Offline dealer

  • Usuário Ubuntu
  • *
  • Mensagens: 362
    • Ver perfil
    • http://www.createur.com.br
Erro ao compilar o driver do modem HSP 56
« Resposta #1 Online: 20 de Novembro de 2005, 20:08 »
Poxa, mantivesse tudo em um tópico só =/
Vossa senhoria não tem envergadura moral para pedir suporte via MP!

"If freedom is short of weapons, we must compensate with willpower." - A. homem

Offline AlexBR

  • Usuário Ubuntu
  • *
  • Mensagens: 388
    • Ver perfil
Erro ao compilar o driver do modem HSP 56
« Resposta #2 Online: 21 de Novembro de 2005, 07:24 »
Os drivers devem ser compilados com a mesma versão do GCC que compilou o Kernel do ubuntu. No seu caso, o make é esperto bastante para reconhecer que a versão que compilou o kernel é a 3.4. Por isso, a mensagem de erro.

Offline cfgz

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Erro ao compilar o driver do modem HSP 56
« Resposta #3 Online: 21 de Novembro de 2005, 14:07 »
Vc instalou o GCC ?
Celso Oliveira

Offline Valdelino

  • Usuário Ubuntu
  • *
  • Mensagens: 22
    • Ver perfil
Erro ao compilar o driver do modem HSP 56
« Resposta #4 Online: 21 de Novembro de 2005, 15:30 »
Eu instalei sim, quando eu dava o comando "./configure -manual" ele dava erro no GCC então eu instalei o GCC 4.0, e agora quando eu dou o comando "sudo make" ele diz que não acha o comando GCC 3.4.

Offline dealer

  • Usuário Ubuntu
  • *
  • Mensagens: 362
    • Ver perfil
    • http://www.createur.com.br
Erro ao compilar o driver do modem HSP 56
« Resposta #5 Online: 21 de Novembro de 2005, 17:14 »
Coloca a versão 3.4 do GCC denovo =D
Vossa senhoria não tem envergadura moral para pedir suporte via MP!

"If freedom is short of weapons, we must compensate with willpower." - A. homem

Offline Valdelino

  • Usuário Ubuntu
  • *
  • Mensagens: 22
    • Ver perfil
Erro ao compilar o driver do modem HSP 56
« Resposta #6 Online: 25 de Novembro de 2005, 17:26 »
Já fiz isso, pelo jeito eu vou continuar a usar o Kurumin. No Kurumin ele funciona tranquilo.